/* $Id: OvertimeAppContentBean.java,v 1.6 2005/08/26 04:45:33 ysahara Exp $
*
* Copyright (c)ARGO 21, Corporation. 2005.  All rights reserved.
 * 
 * This file is part of Nautica Workflow.
 * 
 *  Nautica Workflow is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  Nautica Workflow is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Nautica Workflow; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  
*/
package jp.co.argo21.nautica.workflow.sample.actionform;

/**
 * 時間外労働申請のContentBeanクラス。
 * 
 * @author  ruchida(Argo 21, Corp.)
 * @version $Revision: 1.6 $
 * @since   Nautica Workflow 0.9
 */
public class OvertimeAppContentBean extends ApplicationContentBean {
    
    /** 申請種別名 */
    private String appKindName;
    
    /** 申請書番号 */
    private String appID;
    
    /** 申請日 */
    private String appDateString;
    
    /** 申請者 */
    private String applicantString;
    
    /** 勤務日 */
    private String workDay;
    
    /** 開始予定時刻 */
    private String startTime;
    
    /** 終了予定時刻 */
    private String endTime;
    
    /** 予定時間 */
    private String overtimeHours;
    
    /** 事由 */
    private String reason;
    
    /** 備考 */
    private String remark;

    /** 取得予定の有無 */
    private boolean comp;
    
    /** 代休取得予定日 */
    private String compDay;
    
    /**
     * 申請種別名を返す。
     * 
     * @return 申請種別名
     */
    public String getAppKindName() {
        return appKindName;
    }
    
    /**
     * 申請種別名を設定する。
     * 
     * @param appKindName 申請種別名
     */
    public void setAppKindName(String appKindName) {
        this.appKindName = appKindName;
    }
    
    /**
     * 申請書番号を返す。
     * 
     * @return 申請書番号
     */
    public String getAppID() {
        return appID;
    }
    
    /**
     * 申請書番号を設定する。
     * 
     * @param appID 申請書番号
     */
    public void setAppID(String appID) {
        this.appID = appID;
    }
    
    /**
     * 申請日を返す。
     * 
     * @return 申請日
     */
    public String getAppDateString() {
        return appDateString;
    }
    
    /**
     * 申請日を設定する。
     * 
     * @param appDateString 申請日
     */
    public void setAppDateString(String appDateString) {
        this.appDateString = appDateString;
    }
    
    /**
     * 申請者を返す。
     * 
     * @return 申請者
     */
    public String getApplicantString() {
        return applicantString;
    }
    
    /**
     * 申請者を設定する。
     * 
     * @param applicantString 申請者
     */
    public void setApplicantString(String applicantString) {
        this.applicantString = applicantString;
    }
    
    /**
     * 勤務日を返す。
     * 
     * @return 勤務日
     */
    public String getWorkDay() {
        return workDay;
    }
    
    /**
     * 勤務日を設定する。
     * 
     * @param workDay 勤務日
     */
    public void setWorkDay(String workDay) {
        this.workDay = workDay;
    }
    
    /**
     * 開始予定時刻を返す。
     * 
     * @return 開始予定時刻
     */
    public String getWorkstarttime() {
        return startTime;
    }
        
    /**
     * 開始予定時刻を設定する。
     * 
     * @param startTime 開始予定時刻
     */
    public void setWorkstarttime(String startTime) {
        this.startTime = startTime;
    }
    
    /**
     * 終了予定時刻を返す。
     * 
     * @return 終了予定時刻
     */
    public String getWorkendtime() {
        return endTime;
    }
    
    /**
     * 終了予定時刻を設定する。
     * 
     * @param endTime 終了予定時刻
     */
    public void setWorkendtime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 予定時間を返す。
     * 
     * @return 予定時間
     */
    public String getOvertimeHoursString() {
        return overtimeHours;
    }
    
    /**
     * 予定時間を設定する。
     * 
     * @param overtimeHours 予定時間
     */
    public void setOvertimeHoursString(String overtimeHours) {
        this.overtimeHours = overtimeHours;
    }
    
    /**
     * 事由を返す。
     * 
     * @return 事由
     */
    public String getReason() {
        return reason;
    }
    
    /**
     * 事由を設定する。
     * 
     * @param reason 事由
     */
    public void setReason(String reason) {
        this.reason = reason;
    }
    
    /**
     * 代休取得予定を返す。
     * 
     * @return true 代休取得予定有, false 代休取得予定無
     */
    public boolean isComp() {
        return comp;
    }
    
    /**
     * 代休取得予定を設定する。
     * 
     * @param comp 代休取得予定
     */
    public void setComp(boolean comp) {
        this.comp = comp;
    }
    
    /**
     * 代休取得予定日を返す。
     * 
     * @return 代休取得予定日
     */
    public String getCompday() {
        return compDay;
    }
    
    /**
     * 代休取得予定日を設定する。
     * 
	 * @param compDay 代休取得予定日
	 */
	public void setCompday(String compDay) {
        this.compDay = compDay;
    }

    /**
     * 備考を返す。
     * 
	 * @return 備考
	 */
	public String getRemark() {
        return remark;
    }
    
    /**
     * 備考を設定する。
     * 
	 * @param remark 備考
	 */
	public void setRemark(String remark) {
        this.remark = remark;
    }

}
